Uvar( $var 0 )
mif([$FS2000<=0])
Vectorjump( :east -32767 0 0 0 )
mif( $no )
IfVarRange( :NOT 3FF $no $no )
TransformCall( :move0 16 0 0 0 0 0 0 2 0)
:NOT
mif( [ [$no+1] <= $slots] )
   IfVarRange( :NOT1 3FF [ $no + 1 ] [ $no + 1 ] )
   TransformCall( :move0 32 0 $len 0 0 0 0 2 0)
   :NOT1
  melse
   IfVarRange( :NOT1 3FF [ $no + 1 -$slots ] [ $no + 1 -$slots ] )
   TransformCall( :move0 32 0 $len 0 0 0 0 2 0)
   :NOT1
  mifend
mifend
mif( $nx )
IfVarRange( :NXT 3FF $nx $nx )
TransformCall( :mov20 -16 0 0 0 0 0 0 358 0)
:NXT
mif( [ [$nx+1] <= $slots] )
   IfVarRange( :NXT1 3FF [ $nx + 1 ] [ $nx + 1 ] )
   TransformCall( :mov20 -32 0 $len 0 0 0 0 358 0)
   :NXT1
  melse
   IfVarRange( :NXT1 3FF [ $nx + 1 -$slots ] [ $nx + 1 -$slots ] )
   TransformCall( :mov20 -32 0 $len 0 0 0 0 358 0)
   :NXT1
  mifend
mifend
mif( $so )
IfVarRange( :NOB 3FF $so $so )
TransformCall( :move0 16 0 0 0 0 0 0 182 0)
:NOB
  mif( [ [$so+1] <= $slots] )
   IfVarRange( :NOB1 3FF [ $so + 1 ] [ $so + 1 ] )
   TransformCall( :move0 0 0 -$len 0 0 0 0 182 0)
   :NOB1
  melse
   IfVarRange( :NOB1 3FF [ $so + 1 -$slots ] [ $so + 1 -$slots ] )
   TransformCall( :move0 0 0 -$len 0 0 0 0 182 0)
   :NOB1
  mifend
mifend
mif( $sx )
IfVarRange( :NXB 3FF $sx $sx )
TransformCall( :mov20 -16 0 0 0 0 0 0 178 0)
:NXB
  mif( [ [$sx+1] <= $slots] )
   IfVarRange( :NXB1 3FF [ $sx + 1 ] [ $sx + 1 ] )
   TransformCall( :mov20 0 0 -$len 0 0 0 0 178 0)
   :NXB1
  melse
   IfVarRange( :NXB1 3FF [ $sx + 1 -$slots ] [ $sx + 1 -$slots ] )
   TransformCall( :mov20 0 0 -$len 0 0 0 0 178 0)
   :NXB1
  mifend
mifend
jump(:pylonx)
:east
mifend
mif( $so )
IfVarRange( :NOBe 3FF $so $so )
TransformCall( :move0 16 0 0 0 0 0 0 182 0)
:NOBe
  mif( [ [$so+1] <= $slots] )
   IfVarRange( :NOB1e 3FF [ $so + 1 ] [ $so + 1 ] )
   TransformCall( :move0 0 0 -$len 0 0 0 0 182 0)
   :NOB1e
  melse
   IfVarRange( :NOB1e 3FF [ $so + 1 -$slots ] [ $so + 1 -$slots ] )
   TransformCall( :move0 0 0 -$len 0 0 0 0 182 0)
   :NOB1e
  mifend
mifend
mif( $sx )
IfVarRange( :NXBe 3FF $sx $sx )
TransformCall( :mov20 -16 0 0 0 0 0 0 178 0)
:NXBe
  mif( [ [$sx+1] <= $slots] )
   IfVarRange( :NXB1e 3FF [ $sx + 1 ] [ $sx + 1 ] )
   TransformCall( :mov20 0 0 -$len 0 0 0 0 178 0)
   :NXB1e
  melse
   IfVarRange( :NXB1e 3FF [ $sx + 1 -$slots ] [ $sx + 1 -$slots ] )
   TransformCall( :mov20 0 0 -$len 0 0 0 0 178 0)
   :NXB1e
  mifend
mifend
mif( $no )
IfVarRange( :NOTe 3FF $no $no )
TransformCall( :move0 16 0 0 0 0 0 0 2 0)
:NOTe
mif( [ [$no+1] <= $slots] )
   IfVarRange( :NOT1e 3FF [ $no + 1 ] [ $no + 1 ] )
   TransformCall( :move0 32 0 $len 0 0 0 0 2 0)
   :NOT1e
  melse
   IfVarRange( :NOT1e 3FF [ $no + 1 -$slots ] [ $no + 1 -$slots ] )
   TransformCall( :move0 32 0 $len 0 0 0 0 2 0)
   :NOT1e
  mifend
mifend
mif( $nx )
IfVarRange( :NXTe 3FF $nx $nx )
TransformCall( :mov20 -16 0 0 0 0 0 0 358 0)
:NXTe
mif( [ [$nx+1] <= $slots] )
   IfVarRange( :NXT1e 3FF [ $nx + 1 ] [ $nx + 1 ] )
   TransformCall( :mov20 -32 0 $len 0 0 0 0 358 0)
   :NXT1e
  melse
   IfVarRange( :NXT1e 3FF [ $nx + 1 -$slots ] [ $nx + 1 -$slots ] )
   TransformCall( :mov20 -32 0 $len 0 0 0 0 358 0)
   :NXT1e
  mifend
mifend
:pylonx